Results 1 to 6 of 6

Thread: Install GNS3 2.0.3 of education repo fail

  1. #1

    Default Install GNS3 2.0.3 of education repo fail

    system:Leap 42.3+xfce
    repo:Education repo
    Code:
    linux-btgs:/home/master # zypper in gns3
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides /gns3/bin/busybox needed by gns3-server-2.0.3-36.1.noarch
     Solution 1: do not install gns3-2.0.3-97.1.noarch
     Solution 2: break gns3-server-2.0.3-36.1.noarch by ignoring some of its dependencies

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,513
    Blog Entries
    15

    Default Re: Install GNS3 2.0.3 of education repo fail

    Hi
    Yes, looks like the have a build issue (see repo-checker comment);
    https://build.opensuse.org/package/s...on/gns3-server

    A bug report may help get someone to fix;
    openSUSE:Submitting bug reports - openSUSE
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Install GNS3 2.0.3 of education repo fail

    Thank you

  4. #4

    Default Re: Install GNS3 2.0.3 of education repo fail

    It seems that the problem has been around for months, but nobody has dealt with it.

  5. #5

    Default Re: Install GNS3 2.0.3 of education repo fail

    I am also experiencing the problem and opened Bug 1066504 to report the issue.

  6. #6
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,930
    Blog Entries
    2

    Default Re: Install GNS3 2.0.3 of education repo fail

    I posted this answer in a similar thread

    https://forums.opensuse.org/showthre...14#post2844114

    BTW -
    Although the gn3 fork of busybox has some custom updates, it's hard for me to believe that it's not the same as the busybox installable in openSUSE on its own, particularly since the gn3 busybox is using the original busybox documentation entirely.. You'd probably be able to symlink to make this problem go away.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •